Skip to content
View as Markdown

GET Get Contact Template Mock​

GET
/subscribers/{id}/emails/template-mock

Get a template mock/scaffold for composing a custom email to a contact. Returns default email campaign structure with empty fields ready to be filled.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Responses​

Email template mock data.

application/json
JSON
{
"email_mock": {
"title": "string",
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"settings": {
"template_config": {
},
"mailer_settings": {
}
},
"design_template": "string"
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI